library(ggplot2)

all<- read.table("Summary_time_rate_anc_genome_size_4_intenrodes.txt",header=T,sep = "\t")


p<-ggplot(data=all, aes(x=anc_genome_mean, y=relative_time))+geom_point(size = 1)+theme_bw()+xlab("anc_genome_mean(Mb)")+ylab("relative_time")+ geom_smooth(method = "lm")
p_2<-ggplot(data=all, aes(x=anc_genome_mean, y=intenrode2root_distance))+geom_point(size = 1)+theme_bw()+xlab("anc_genome_mean(Mb)")+ylab("internode2root_distance")+ geom_smooth(method = "lm")

source ("E:/R/multiplot.R") 
pdf(file="Fungi_time_rate_anc_genome_size.pdf", bg="transparent",height=8, width=8)#,height=8, width=8
multiplot(p,p_2)
dev.off()

cor.test(all$anc_genome_mean,all$relative_time, method = "pearson")
cor.test(all$anc_genome_mean,all$intenrode2root_distance, method = "pearson")

